Package org.opensaml.saml.saml2.core

# Interface Assertion

All Superinterfaces:
  `Evidentiary`, `SAMLObject`, `SignableSAMLObject`, `SignableXMLObject`, `XMLObject`

All Known Implementing Classes:
  `AssertionImpl`

public interface Assertion extends SignableSAMLObject, Evidentiary
SAML 2.0 Core Assertion.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Element local name.
`static final QName`
`DEFAULT_ELEMENT_NAME`
Default element name.
`static final String`
`ID_ATTRIB_NAME`
ID attribute name.
`static final String`
`ISSUE_INSTANT_ATTRIB_NAME`
IssueInstant attribute name.
`static final QName`
`ISSUEINSTANT_ATTRIB_QNAME`
IssueInstant attribute QName.
`static final String`
`TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`TYPE_NAME`
QName of the XSI type.
`static final String`
`VERSION_ATTRIB_NAME`
Version attribute name.

## Method Summary

Modifier and Type
Method
Description
`Advice`
`getAdvice()`
Gets the Advice for this assertion.
`List<AttributeStatement>`
`getAttributeStatements()`
Gets the list of AttributeStatement attached to this assertion.
`List<AuthnStatement>`
`getAuthnStatements()`
Gets the list of AuthnStatements attached to this assertion.
`List<AuthzDecisionStatement>`
`getAuthzDecisionStatements()`
Gets the list of AuthzDecisionStatements attached to this assertion.
`Conditions`
`getConditions()`
Gets the Conditions placed on this assertion.
`String`
`getID()`
Sets the ID of this assertion.
`Instant`
`getIssueInstant()`
Gets the issue instance of this assertion.
`Issuer`
`getIssuer()`
Gets the Issuer of this assertion.
`List<Statement>`
`getStatements()`
Gets the list of statements attached to this assertion.
`List<Statement>`
`getStatements(QName typeOrName)`
Gets the list of statements attached to this assertion that match a particular QName.
`Subject`
`getSubject()`
Gets the Subject of this assertion.
`SAMLVersion`
`getVersion()`
Gets the SAML Version of this assertion.
`void`
`setAdvice(Advice newAdvice)`
Sets the Advice for this assertion.
`void`
`setConditions(Conditions newConditions)`
Sets the Conditions placed on this assertion.
`void`
`setID(String newID)`
Sets the ID of this assertion.
`void`
`setIssueInstant(Instant newIssueInstance)`
Sets the issue instance of this assertion.
`void`
`setIssuer(Issuer newIssuer)`
Sets the Issuer of this assertion.
`void`
`setSubject(Subject newSubject)`
Sets the Subject of this assertion.
`void`
`setVersion(SAMLVersion newVersion)`
Sets the SAML Version of this assertion.

### Methods inherited from interface org.opensaml.saml.common.SignableSAMLObject

`getSignatureReferenceID`

### Methods inherited from interface org.opensaml.xmlsec.signature.SignableXMLObject

`getSignature, isSigned, setSignature`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

@Nonnull static final String DEFAULT_ELEMENT_LOCAL_NAME
Element local name.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

@Nonnull static final QName DEFAULT_ELEMENT_NAME
Default element name.

### TYPE_LOCAL_NAME

@Nonnull static final String TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### TYPE_NAME

@Nonnull static final QName TYPE_NAME
QName of the XSI type.

### VERSION_ATTRIB_NAME

@Nonnull static final String VERSION_ATTRIB_NAME
Version attribute name.

See Also:
  - Constant Field Values

### ISSUE_INSTANT_ATTRIB_NAME

@Nonnull static final String ISSUE_INSTANT_ATTRIB_NAME
IssueInstant attribute name.

See Also:
  - Constant Field Values

### ISSUEINSTANT_ATTRIB_QNAME

@Nonnull static final QName ISSUEINSTANT_ATTRIB_QNAME
IssueInstant attribute QName.

### ID_ATTRIB_NAME

@Nonnull static final String ID_ATTRIB_NAME
ID attribute name.

See Also:
  - Constant Field Values

## Method Details

### getVersion

@Nullable SAMLVersion getVersion()
Gets the SAML Version of this assertion.

Returns:
  the SAML Version of this assertion.

### setVersion

void setVersion(@Nullable SAMLVersion newVersion)
Sets the SAML Version of this assertion.

Parameters:
  `newVersion` - the SAML Version of this assertion

### getIssueInstant

@Nullable Instant getIssueInstant()
Gets the issue instance of this assertion.

Returns:
  the issue instance of this assertion

### setIssueInstant

void setIssueInstant(@Nullable Instant newIssueInstance)
Sets the issue instance of this assertion.

Parameters:
  `newIssueInstance` - the issue instance of this assertion

### getID

@Nullable String getID()
Sets the ID of this assertion.

Returns:
  the ID of this assertion

### setID

void setID(@Nullable String newID)
Sets the ID of this assertion.

Parameters:
  `newID` - the ID of this assertion

### getIssuer

@Nullable Issuer getIssuer()
Gets the Issuer of this assertion.

Returns:
  the Issuer of this assertion

### setIssuer

void setIssuer(@Nullable Issuer newIssuer)
Sets the Issuer of this assertion.

Parameters:
  `newIssuer` - the Issuer of this assertion

### getSubject

@Nullable Subject getSubject()
Gets the Subject of this assertion.

Returns:
  the Subject of this assertion

### setSubject

void setSubject(@Nullable Subject newSubject)
Sets the Subject of this assertion.

Parameters:
  `newSubject` - the Subject of this assertion

### getConditions

@Nullable Conditions getConditions()
Gets the Conditions placed on this assertion.

Returns:
  the Conditions placed on this assertion

### setConditions

void setConditions(@Nullable Conditions newConditions)
Sets the Conditions placed on this assertion.

Parameters:
  `newConditions` - the Conditions placed on this assertion

### getAdvice

@Nullable Advice getAdvice()
Gets the Advice for this assertion.

Returns:
  the Advice for this assertion

### setAdvice

void setAdvice(@Nullable Advice newAdvice)
Sets the Advice for this assertion.

Parameters:
  `newAdvice` - the Advice for this assertion

### getStatements

@Nonnull @Live List<Statement> getStatements()
Gets the list of statements attached to this assertion.

Returns:
  the list of statements attached to this assertion

### getStatements

@Nonnull @Live List<Statement> getStatements(@Nonnull QName typeOrName)
Gets the list of statements attached to this assertion that match a particular QName.

Parameters:
  `typeOrName` - the QName of the statements to return
Returns:
  the list of statements attached to this assertion

### getAuthnStatements

@Nonnull @Live List<AuthnStatement> getAuthnStatements()
Gets the list of AuthnStatements attached to this assertion.

Returns:
  the list of AuthnStatements attached to this assertion

### getAuthzDecisionStatements

@Nonnull @Live List<AuthzDecisionStatement> getAuthzDecisionStatements()
Gets the list of AuthzDecisionStatements attached to this assertion.

Returns:
  the list of AuthzDecisionStatements attached to this assertion

### getAttributeStatements

@Nonnull @Live List<AttributeStatement> getAttributeStatements()
Gets the list of AttributeStatement attached to this assertion.

Returns:
  the list of AttributeStatement attached to this assertion